set fish_greeting

if status is-interactive
    # Commands to run in interactive sessions can go here
end

# Keybindings to make my life easier
bind --user ctrl-enter accept-autosuggestion
bind --user ctrl-space forward-char

starship init fish | source
direnv hook fish | source
zoxide init fish --cmd cd | source
